VOGONS

Common searches


VOGONS github

Topic actions

Reply 80 of 119, by gerwin

User metadata
Rank l33t
Rank
l33t
DosFreak wrote on 2022-05-12, 00:51:

I had always assumed pcem was XP compatible since it ran on 2000 with BWC kernel but I tend to forget that BWC allows Vista or higher programs to run. Of course the last ver I've tried is v17 so mabye something changed.

You remember correctly that PCem v17 was surprisingly compatible with older operating systems. XP for sure. 2000 probably as well. But the last year of github changes made the packaging quite different. I don't know exactly what the dependencies are, but current Pre-v18 SVN comes with 26 DLL files, whilst v17 came with just 4.
Edit1: these DLLs mostly belong to wxWidgets, then a few Networking ones.
Edit2: I notice PCem SVN is missing several configuration options in the Hardware setup dialogs, compared to v17.

--> ISA Soundcard Overview // Doom MBF 2.04 // SetMul

Reply 81 of 119, by leileilol

User metadata
Rank l33t++
Rank
l33t++

FWIW PCem v17 could still compile with GCC 4.7.2so that's a lot of leeway right there. All of my PCem testing (for my entire time) was gcc472 builds, and that's only recently changed since Michael Manley changed the building system and axed the makefiles.

apsosig.png
long live PCem

Reply 82 of 119, by gerwin

User metadata
Rank l33t
Rank
l33t
leileilol wrote on 2022-05-12, 05:51:

FWIW PCem v17 could still compile with GCC 4.7.2so that's a lot of leeway right there. All of my PCem testing (for my entire time) was gcc472 builds, and that's only recently changed since Michael Manley changed the building system and axed the makefiles.

I remember your remark about that in the PCem forum. We will see which way it goes, with the project and that v18... Hoping mostly for ROM filename + folder restructuring.
PCem v17 is legendary, and I am glad Sarah Walker et al got PCem to that level, before mostly stepping out of it.

DosFreak wrote on 2022-05-12, 01:12:

For gzdoom when it requires OpenGL your hardware doesn't support you can try Mesa3D.
The attached should work on XP. Haven't tried on <XP. Rename the .dll to opengl32.dll since originally this was compiled for usage with QT.

Yes that Mesa dll works quite well, even with that GzDoom 4.1.3 version. Neat.
If only it was faster on my system. Gzdoom-bin-3-8-2-legacy.zip still supports the "-glversion 2" parameter, and that combined with Mesa, gives a much better frame-rate.
Though it does not really matter, perfectly content with 2.1.0 already.

--> ISA Soundcard Overview // Doom MBF 2.04 // SetMul

Reply 83 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Doom

gzdoom 1.8.0 98SE-ME-2000
gzdoom 1.4.08 NT4
gzdoom 1.1.04 95

Zdoom 2.4.0 95-NT4 (possible sound issues on 95, unverified)
zdoom 2.8.1 98se-me-2000

Last edited by DosFreak on 2022-05-13, 23:05. Edited 3 times in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 85 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

For OTVDM I don't see why not, BoxedWine20R1a1 is much more complicated and runs on XP 32bit.

Need to go through this thread for Doom ports:
Zdoom fork?

98-ME
zdoom LE 2.8.3a

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 86 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Please document that Visual C++ runtimes after 14.29.29917 breaking existing XP code (even VS2015/2017, v140_xp or v141_xp)
https://developercommunity2.visualstudio.com/ … untimes/1433053
https://developercommunity.visualstudio.com/t … -2015-2/1406575

https://devblogs.microsoft.com/visualstudio/v … vailable-today/

Mike Diack May 26, 2021 4:50 am collapse this comment Please for goodness sake – as it’s a silent and breaking change, documen […]
Show full quote

Mike Diack May 26, 2021 4:50 am
collapse this comment

Please for goodness sake – as it’s a silent and breaking change, document the fact that the new version of the Visual C++ runtime (2015 to 2019) in this version silently breaks any existing code compiled for XP with (v140_xp) or (v141_xp) VS 2015 or VS 2017 compilers. The new runtime appears to install on XP, but breaks ANY XP build dynamically linked executable.

I’ve raised bugs on this which have been stupidly shut down (I understand the technical reason – but you need to prevent the installer running on XP _AND_ document the fact that 14.29.29917 is the last XP compatible runtime). To silently release this with VS 2019 Update 10 and later, knowing full well it will break existing apps, AND not documenting this is maddening!

Please take a look at this bug that you’ve ruled as not a bug – which frankly is RUBBISH. And for god’s sake document this as a known (unfixable) issue.

https://developercommunity.visualstudio.com/t … -2015-2/1406575

Am furious yet again with your support staff.

Last edited by DosFreak on 2022-05-14, 12:49. Edited 1 time in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 87 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Visual c++ 2015-2019 v14.29.29917.0
https://github.com/abbodi1406/vcredist/blob/7 … links/README.md

https://download.visualstudio.microsoft.com/d … _redist.x64.exe
https://download.visualstudio.microsoft.com/d … _redist.x86.exe
https://download.visualstudio.microsoft.com/d … edist.arm64.exe

Extracted
https://gitlab.com/stdout12/adns/-/releases/v2.21

So Visual Studio 2019 version 16.9.x may be the last version for Windows XP although compiling with later versions (both 16.9.x and 16.10.x+ and using the above redist need to be tested.
https://docs.microsoft.com/en-us/visualstudio … d-build-numbers

/EDIT v14.29.29917.0 is incompatible with XP.

Last edited by DosFreak on 2022-05-14, 14:56. Edited 8 times in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 88 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Vista 32-64
rzdoom 3.0.1
This does work in XP 32bit but no audio so something to look at.

https://github.com/atsb/rzdoom

As RZDoom now uses FMOD Studio (not the legacy FMOD Ex) sound API as standard, support was dropped for a number of sound backends and outputs (because FMOD Studio removed them). These are the 'HRTF' lowpass output, XMA, Direct Sound etc..

Vista 64? (Don't have a machine with Vista on it with a video card capable of testing)
prboom-plus-rt

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 89 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Serious Sam The First Encounter

Vista 64?
Serious-Engine-RT

Vista 32?
Serious-Engine-Vk

Serious Sam The Second Encounter

Vista 32?
Serious-Engine-Vk

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 90 of 119, by gerwin

User metadata
Rank l33t
Rank
l33t
DosFreak wrote on 2022-05-14, 11:39:

Downloaded this "vcredist_x86_2019_WinAll_14.29.29917.WA.7z" and tried "msvcp140.dll" v14.29.29917.0, from 16-02-2021: It contains about 32 different calls to Kernel32 NT6-only functions. No good.
To be continued...

--> ISA Soundcard Overview // Doom MBF 2.04 // SetMul

Reply 91 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Was going through and testing as well:
https://github.com/abbodi1406/vcredist/blob/7 … links/README.md
Seems to confirm this version 14.28.29213.0 - last version compatible with Windows XP
It's likely the breakage wasn't noticeable until 29917 for that user.

It's really a piss poor job by MS since they should have updated the installer requirements.

Last edited by DosFreak on 2022-05-14, 14:39. Edited 1 time in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 92 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Hmmm,

Checking out 14.29.30139.0 now

https://download.visualstudio.microsoft.com/d … _redist.x64.exe
https://download.visualstudio.microsoft.com/d … _redist.x86.exe
https://download.visualstudio.microsoft.com/d … edist.arm64.exe

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 93 of 119, by gerwin

User metadata
Rank l33t
Rank
l33t
DosFreak wrote on 2022-05-14, 13:30:
Was going through and testing as well: https://github.com/abbodi1406/vcredist/blob/7 … links/README.md Seems to confirm this ver […]
Show full quote

Was going through and testing as well:
https://github.com/abbodi1406/vcredist/blob/7 … links/README.md
Seems to confirm this version 14.28.29213.0 - last version compatible with Windows XP
It's likely the breakage wasn't noticeable until 29917 for that user.

Can confirm VC_redist.x86 14.28.29213.0 is working on Windows XP x86. That is the one too keep.

DosFreak wrote on 2022-05-14, 13:30:

It's really a piss poor job by MS since they should have update the installer requirements.

Reminds me of their 2015 Skype incompatibly, which was in several ways even worse: Sticking with XP a smart move?

DosFreak wrote on 2022-05-14, 13:46:

Hmmm,
Checking out 14.29.30139.0 now

Something interesting there? That particular VC_redist.x86.exe is no good for me.

Last edited by gerwin on 2022-05-14, 14:02. Edited 1 time in total.

--> ISA Soundcard Overview // Doom MBF 2.04 // SetMul

Reply 94 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Nah, I was just hoping that MS fixed it and no one ever noticed. Still broken.

Here are the 14.28.29213.0 files:
https://gitlab.com/stdout12/adns/-/releases/v2.15.0

So for this version need to test a program compiled with the latest VS for XP using 141_XP with this redist, if not working then try with the latest 16.9.x VS and if not working then try with the VS version this redist was released with.

For the https://github.com/abbodi1406/vcredist packages use:
https://github.com/abbodi1406/vcredist/releases/tag/v0.35.0
https://github.com/abbodi1406/vcredist/releas … _x86_x64_35.zip
https://github.com/abbodi1406/vcredist/releas … O_x86_XP_35.zip

Last edited by DosFreak on 2022-05-14, 14:21. Edited 1 time in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 95 of 119, by gerwin

User metadata
Rank l33t
Rank
l33t
DosFreak wrote on 2022-05-14, 14:02:

Nah, I was just hoping that MS fixed it and no one ever noticed. Still broken.

Here are the 14.28.29213.0 files:
https://gitlab.com/stdout12/adns/-/releases/v2.15.0

When I do a search on my computer for system32\ dll files dated 12-08-2020, which is the v14.28.29213.0 files date, I also get 40 files named api-ms-win-core-*something*. Msvcp140.dll and such rely on these api-ms-win-core dlls.
Also there is ucrtbase.dll with a spot-on time/date match.
So I wonder, are they part of this redist or some other one?
They are not included in the above "vcredist_x86_2019_WinAll_14.28.29213.WA.7z"?

--> ISA Soundcard Overview // Doom MBF 2.04 // SetMul

Reply 96 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

I would trust the AIO installs more than the files from that site, it appears the AIO installers do have the files extracted anyway.
I was just using that site for a quick compatibility test with dependency walker.

Here are the official MS redists for v14.28.29213.0 for XP:
https://download.visualstudio.microsoft.com/d … _redist.x64.exe
https://download.visualstudio.microsoft.com/d … _redist.x86.exe

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 97 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Doom port compatibility by family and OS
OSR2 and 98FE not tested
kernelex,BWC,onecoreAPI,etc not tested
Modifying major\minor os in exe not documented here
All games have been tested by verifying they load doom.
All of the below have NOT been tested with dependency walker to verify compatibility
DOS ports not documented yet, in some cases may be useful on the Windows OS below especially when the Windows OS port is old

Intent for the below is to be used for:
Identifying "best" port per OS
Identifying discrepancies in compatibility so they can be fixed
Identification of which mods can be used for which port for which os

Boom
(OLD) 98SE-ME PrBoom v2.5.0
98SE-ME Prboom+ v2.5.1.4
NT4 PrBoom+ v2.5.1.4 test-win95
Vista32 From Doom with Love 2021-10-12-hotfix
Vista32 PrBoom+ v2.6.2
Vista64 prboom-plus-rt v2.6.1-rt1.07
XP32 dsda doom 0.24.3
XP32 PrBoom+ v2.5.1.7um
XP64 Reboom v2.08um

Chocolate Doom
95-98-ME-NT4 Chocolate Doom v2.3.30
95-98-ME-NT4 Crispy Doom v3.2
95-98-ME-NT4 Rude v2.5.0c
XP32 Chocolate Doom 20220428
XP32 Crispy Doom 20220428
XP32 Rude 3.1.0 pre 11
XP32-64 Doom Retro v4.4.10
XP32-64 International Doom v5.2.1

DelphiDoom
98-ME DelphiDoom v2.07.734
98-ME-2000 DoomXS v1.0.4.137

Doom 3D
95 v1.16

Doomsday
7 32-64 Doomsday v.2.3.1
98-ME Doomsday v1.8.6
2000 Doomsday v1.9.0 beta 6.2
Vista32-64 Doomsday v2.0.3
XP32 Doomsday v1.15.8
XP32 Risen 3D v2.2.35

DOSDoom
98-ME-NT4 Doom Legacy v1.48.8
Vista32 Edge Classic v1.1
XP32 Edge 2.1.0 RC1

FPCDoom
2000 v1.14.18.134

MBF
95-98-ME-NT4 Eternity v3.40.37
Vista32 Nugget Doom v1.8.0
Vista32 Woof! v9.0.0
Vista64 Eternity v4.03.00 pre 739
XP32 Eternity 4.0.3.00 pre 739
XP32 Nugget Doom 1.7.0
XP32 Woof! v8.1.0
XP64 Eternity v4.03.00 pre 297

Vavoom
95 Vavoom v1.27.1
2000 Vavoom v1.133
Vista32 k8vavoom 3-6-2022

WinDoom
XP32-64 gldoom v0.96c

zdoom
95 gzdoom 1.1.04
95 zdoom-old/zdoom CL v2.1.4a
95-NT4 zdoom v2.4.0
95-NT4 zdoom LE v2.8.1f
98-ME zdoom 2.8.1
98-ME gzdoom 1.8.00
98-ME zdoom-old/zdoom CL v2.1.8
98-ME zdaemon11019_win32_bin
98-ME zdoom LE 2.8.3a
98-ME-NT4 zdoom32 v2.8.6
2000 zdaemon v1.10.19
2000 gzdoom v1.8.02
NT4 gzdoom v1.4.08
Vista32-64 gzdoom 4.7.1
Vista32-64 Odamex 10.1.0
Vista32-64 rzdoom 3.0.1
Vista32-64 Zandronum 3.1
XP32 gzdoom v4.1.3
XP32 qzdoom v2.1.0
XP32 Zandronm v3.0.1
XP32 zdaemon v1.10.20
XP32-64 odamex v0.7.0
XP32-64 zzdoom v2.9.0

Last edited by DosFreak on 2022-05-22, 15:50. Edited 3 times in total.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline

Reply 98 of 119, by DosFreak

User metadata
Rank l33t++
Rank
l33t++

Duke3D World tour testing:

Currently Windows OS <XP can't run Duke3D World tour unless you use BuildGDX. (Works with Java 32bit on XP, kernelex with java 32bit on 9x and BWC with java 32bit on 2000)
Use eduke32 for XP 32bit and above. Possibly getting the open source laters javas to run on <XP or port BuildGDX to java 6.
Possibly can run World Tour with eduke32 for <XP with kernelex for 9x, BWC for 2000 or OneCoreAPI for XP.
World Tour itself requires Vista and D3D11. Use steamless and goldberg steam emu to bypass steam requirement.

DOSBox Compilation Guides
DosBox Feature Request Thread
PC Game Compatibility List
How To Ask Questions The Smart Way
Running DRM games offline